CVE-2017-0283

HIGH

Description

Uniscribe in Windows Server 2008 SP2 and R2 SP1, Windows 7 SP1, Windows 8.1, Windows Server 2012 Gold and R2, Windows RT 8.1, Windows 10 Gold, 1511, 1607, Windows Server 2016, Microsoft Office 2007 SP3, Microsoft Office 2010 SP2, Microsoft Office Word Viewer, Microsoft Lync 2013 SP1, Skype for Business 2016, Microsoft Silverlight 5 Developer Runtime when installed on Microsoft Windows, and Microsoft Silverlight 5 when installed on Microsoft Windows allows a remote code execution vulnerability due to the way it handles objects in memory, aka "Windows Uniscribe Remote Code Execution Vulnerability". This CVE ID is unique from CVE-2017-8528.

References

http://www.securityfocus.com/bid/98920

http://www.securitytracker.com/id/1038675

https://0patch.blogspot.com/2017/07/0patching-quick-brown-fox-of-cve-2017.html

https://bugs.chromium.org/p/project-zero/issues/detail?id=1198

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2017-0283

https://www.exploit-db.com/exploits/42234/

Details

Source: MITRE

Published: 2017-06-15

Updated: 2017-11-29

Type: CWE-264

Risk Information

CVSS v2.0

Base Score: 9.3

Vector: (AV:N/AC:M/Au:N/C:C/I:C/A:C)

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH

CVSS v3.0

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH